Skip to content
Release: Australia · Updated: 2026-03-12 · Official documentation · View source

Update the incident

Update the incident record using either a PUT or PATCH function.

Before you begin

Role required: admin, web_service_admin, or rest_api_explorer

About this task

Use the REST API Explorer to send the following request:

PUT https://instance.service-now.com/api/now/v1/table/incident/{sys_id}?sysparm_exclude_ref_link=true

Procedure

  1. In the top-left of the REST API Explorer, click Modify a record (PUT) or Update a record (PATCH).

  2. In the Path Parameters section, select the Incident (incident) table.

  3. In the sys_id field, enter the sys_id of the record you created.

  4. In the Request Body section, click Add a field.

  5. Select the Short description field and specify a new value.

  6. Click Send.

    The response indicates the Status code and Execution time (in milliseconds) of the request.

Image omitted: rest-api-exp-put-response.png
REST API Explorer PUT response
  1. Verify that the Response Body contains the updated short_description value.

Parent Topic:Use the REST API Explorer